<div style="margin-top: 20px;">
    <h5>
        <span>BAST - BPKB - BEGBAL - Internal</span>
    </h5>
    <!-- <ul class="nav justify-content-end" *jhiHasAnyAuthority="['ROLE_ADMIN']">
        <li class="nav-item">
            <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i>
                    &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
        </li>
    </ul> -->
    <div class="fieldset-legend">
        <p-accordion class="filter-accordion">
            <p-accordionTab header="Filter">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_">Tanggal BAST</label>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="input-group input-calendar">
                                        <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="input-group input-calendar">
                                        <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- <div class="form-group">
                            <label class="form-control-label" for="field_statusType">Status</label>
                            <select class="form-control" id="field_statusType" name="statusType">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
                            </select>
                        </div> -->
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.korsales" for="field_dateCreate">Korsal</label>
                        </p-dropdown class="form-select" [options]="korals" placeholder="Select Korsal">
                        </p-dropdown>
                        <select class="form-control">
                            <option [value]="null">Select Korsal</option>
                            <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                        <select class="form-control">
                            <option [value]="null">Select Salesman</option>
                            <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                    </div>
                </div>
                <div class="btn-filter-wrapper">
                    <button type="button" class="btn btn-primary btn-filter" (click)="filter()">
                        <span>Filter</span>
                    </button>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <p-dataTable [value]="vehicleDocumentRequirementbegbal" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        datakey="idreq" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true">
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.bastnumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.bastnumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.tanggalbast'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtdelivery}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.idframe'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idframe}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.idmachine'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idmachine}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.policenumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.policenumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.stnk'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.personOwner}}
            </ng-template>
        </p-column>
        <p-column header="STNK">
            <!-- <ng-template let-rowData="rowData" pTemplate="body">
    				{{rowData.stnk | date:'dd-MM-yyyy'}}
    			</ng-template> -->
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.iscompleted == null">
                    <label [style]="{'text-align': 'center'}">V</label>
                </div>
                <div *ngIf="rowData.iscompleted != null">
                    {{rowData.dtdelivery | date:'dd-MM-yyyy'}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleSalesBilling.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div>
                    <button pButton type="submit" (click)="print(rowData.idframe)" icon="fa-print" class="flat-button">
                    </button>
                </div>
            </ng-template>
        </p-column>
    </p-dataTable>
    </p-tabPanel>
    </p-tabView>
    <p-dialog header="BAST STNK" [(visible)]="printModal" modal="true" [width]="700">
        <div class="row">
            <div class="col-sm-12">
                <h5>Diserahkan ke:</h5>

                <!-- <form name="editForm" role="form" novalidate #editForm="ngForm">
                <input type="hidden" class="form-control" id="idreq" name="idreq" [(ngModel)]="VehicleDocumentRequirement.idreq"
                /> -->
                <!-- 
                <div class="col-sm-12">
                    <p-radioButton name="bastTo" value="salesman" label="Salesman" [(ngModel)]="bastTo"></p-radioButton>
                </div> -->

                <!-- <div class="col-sm-12">
                    <label class="form-control-label ui-g-6">Nama Pengambil*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="name" id="field_name" [(ngModel)]="VehicleDocumentRequirement.idpersonowner" required />
                    </label>
                </div>
                <div class="col-sm-12">
                    <label class="form-control-label ui-g-6">No KTP*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="identitynumber" id="field_identitynumber" [(ngModel)]="VehicleDocumentRequirement.idmachine"
                            required />
                    </label>
                </div>
                <div class="col-sm-12">
                    <label class="form-control-label ui-g-6">No HP</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="cellphone" id="field_cellphone" [(ngModel)]="VehicleDocumentRequirement.idframe"
                            required />
                    </label>
                </div> -->
                <!-- <button class="btn btn-primary pull-right" type="submit" (click)="print(unitDeliverable.idframe, unitDeliverable.name, unitDeliverable.identityNumber, unitDeliverable.cellPhone)">Print BAST</button> -->
                <!-- <button class="btn btn-primary pull-right" type="submit" >Print BAST</button> -->
                <div class="btn-filter-wrapper pull-right">
                    <button type="button" class="btn btn-primary btn-filter">
                        <span>Print BAST</span>
                    </button>
                    <button type="button" class="btn btn-primary btn-filter">
                        <span>Update</span>
                    </button>
                </div>
                </form>
            </div>
        </div>
    </p-dialog>